# FLAC/export.h: export symbols
[FLAC C API]

## Detailed Description

This module contains #defines and symbols for exporting function calls, and providing version information and compiled-in features.

If you are compiling with MSVC and will link to the static library (libFLAC.lib) you should define FLAC__NO_DLL in your project to make sure the symbols are exported properly.

## Defines

#define | FLAC_API
#define | FLAC_API_VERSION_CURRENT 10
#define | FLAC_API_VERSION_REVISION 0
#define | FLAC_API_VERSION_AGE 2

## Variables

int | FLAC_API_SUPPORTS_OGG_FLAC

## Define Documentation

#define FLAC_API_VERSION_CURRENT 10

| These #defines will mirror the libtool-based library version number, see http://www.gnu.org/software/libtool/manual.html#Libtool-versioning

#define FLAC_API_VERSION_REVISION 0

| see above

#define FLAC_API_VERSION_AGE 2

| see above

## Variable Documentation

int FLAC_API_SUPPORTS_OGG_FLAC

| `1` if the library has been compiled with support for Ogg FLAC, else `0`.

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |